### A free/open-source library for quantitative finance

Public Member Functions
BackwardFlatInterpolation Class Reference

Backward-flat interpolation between discrete points. More...

`#include <ql/math/interpolations/backwardflatinterpolation.hpp>`

Inheritance diagram for BackwardFlatInterpolation:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 >
| BackwardFlatInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin)

## Detailed Description

Backward-flat interpolation between discrete points.

## Constructor & Destructor Documentation

BackwardFlatInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin
| ) |  |

Precondition:
  the values must be sorted.